
Katello - Bug #6531

Highlighted menu doesn't change between katello pages

07/08/2014 03:20 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Web UI   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1117487 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/440
Description

After https://github.com/theforeman/foreman/pull/1572 is merged the active (highlighted) parent menu item doesn't update between

bastion pages.

Bastion pages need to call foreman's mark_active_menu() on state change after the changes to a single page application in order for

the highlighted menu to update.

Steps to Reproduce

1. After https://github.com/theforeman/foreman/pull/1572

 is merged or on that foreman branch go to a Bastion page

 2. Repeat step 1 with another Bastion page not under the same parent menu

 3. Note that the highlighted menu did not change.

Associated revisions

Revision 218ecae9 - 07/08/2014 03:29 PM - Walden Raines

Fixes #6531/BZ1117487 - set active menu on $state change.

Ensure the highlighted active menu item is updated on $state

changes.

http://projects.theforeman.org/issues/6531

https://bugzilla.redhat.com/show_bug.cgi?id=1117487

Revision 9ef86bef - 07/08/2014 03:29 PM - Walden Raines

Fixes #6531/BZ1117487 - set active menu on $state change.

Ensure the highlighted active menu item is updated on $state

changes.

http://projects.theforeman.org/issues/6531

https://bugzilla.redhat.com/show_bug.cgi?id=1117487

Revision aef8a7b1 - 07/15/2014 10:47 AM - Walden Raines

Merge pull request #4406 from waldenraines/6531

Fixes #6531/BZ1117487 - set active menu on $state change.

Revision 3210239b - 07/15/2014 10:47 AM - Walden Raines

Merge pull request #4406 from waldenraines/6531

Fixes #6531/BZ1117487 - set active menu on $state change.

History
#1 - 07/08/2014 03:22 PM - Walden Raines

- Bugzilla link set to 1117487

#2 - 07/08/2014 03:33 PM - Walden Raines

- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/4406

#3 - 07/15/2014 10:47 AM - The Foreman Bot

- Pull request https://github.com/Katello/katello/pull/4406 added

#4 - 07/15/2014 11:01 AM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|218ecae9626bbdd8e09580cc7e33b2ab8e6e3218.

#5 - 08/22/2014 09:00 AM - Eric Helms

- translation missing: en.field_release set to 13
